summaryrefslogtreecommitdiffstats
path: root/jjb/fuel/fuel-build.sh
diff options
context:
space:
mode:
authorFatih Degirmenci <fatih.degirmenci@ericsson.com>2015-10-03 00:25:57 +0200
committerFatih Degirmenci <fatih.degirmenci@ericsson.com>2015-10-03 00:29:15 +0200
commitd888bcbab27ff0e3afb70243b3a327084078ddb4 (patch)
treeeb01e3aadd94eb011ec37622adaca896555f677a /jjb/fuel/fuel-build.sh
parent00b1289d8c1e400f7e7e5a243dff39c97159be06 (diff)
Configure jenkins jobs for fuel
- verify jobs are configured in order to run builds and virtual deployments for each and every new patch. - merge jobs are configured in order to run builds and virtual deployments for merged changes. - daily jobs are not configured and currently disabled. - builder scripts are taken out from yml and converted to standalone scripts. Change-Id: I2fc8a5072a48ecabfb9b0460e3717c7bf3623ff4 Signed-off-by: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
Diffstat (limited to 'jjb/fuel/fuel-build.sh')
-rwxr-xr-xjjb/fuel/fuel-build.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/jjb/fuel/fuel-build.sh b/jjb/fuel/fuel-build.sh
new file mode 100755
index 000000000..3a041c546
--- /dev/null
+++ b/jjb/fuel/fuel-build.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+#!/bin/bash
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# log info to console
+echo "Starting the build of $INSTALLER. This could take some time..."
+echo "--------------------------------------------------------"
+echo
+
+# create the cache directory if it doesn't exist
+[[ -d $CACHE_DIRECTORY ]] || mkdir -p $CACHE_DIRECTORY
+
+# set OPNFV_ARTIFACT_VERSION
+export OPNFV_ARTIFACT_VERSION=$(date -u +"%Y-%m-%d_%H-%M-%S")
+
+# start the build
+cd $WORKSPACE/$INSTALLER/ci
+./build.sh -v $OPNFV_ARTIFACT_VERSION -c file://$CACHE_DIRECTORY $BUILD_DIRECTORY
+
+# list the build artifacts
+ls -al $BUILD_DIRECTORY
+
+# save information regarding artifact into file
+(
+ echo "OPNFV_ARTIFACT_VERSION=$OPNFV_ARTIFACT_VERSION"
+ echo "OPNFV_GIT_URL=$(git config --get remote.origin.url)"
+ echo "OPNFV_GIT_SHA1=$(git rev-parse HEAD)"
+ echo "OPNFV_ARTIFACT_URL=$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.iso"
+ echo "OPNFV_ARTIFACT_MD5SUM=$(md5sum $BUILD_DIRECTORY/opnfv-$OPNFV_ARTIFACT_VERSION.iso | cut -d' ' -f1)"
+ echo "OPNFV_BUILD_URL=$BUILD_URL"
+) > $WORKSPACE/opnfv.properties
+
+echo
+echo "--------------------------------------------------------"
+echo "Done!"